.site-header {
    .navbar {
        padding: 3rem 0 0;
        transition: all 0.3s;

        &-nav {
            flex: 1 1 auto;
            justify-content: center;
        }
        .nav {
            &-item {
                margin: 0.5rem 0;
                @include media-breakpoint-up(xl) {
                    margin: 0 0.75rem;
                }
                @include media-breakpoint-up(xxl) {
                    margin: 0 1.375rem;
                }
            }
            &-link {
                padding: 0.5rem;
                font-family: "Poppins", sans-serif;
                @include font-size(0.6875rem);
                color: $white;
                text-transform: uppercase;
                font-weight: 600;
                letter-spacing: 2px;
                &:hover {
                    color: $white;
                    @include media-breakpoint-up(lg) {
                        color: $primary;
                    }
                }
                @include media-breakpoint-down(md) {
                    color: rgba($white, 0.5);
                    text-transform: capitalize;
                    @include font-size(1rem);
                    letter-spacing: 0;
                }
            }
        }
        &-collapse {
            @include media-breakpoint-down(md) {
                position: fixed;
                left: 0;
                top: 0;
                right: 0;
                bottom: 0;
                transform: translateY(-100%);
                width: 100%;
                overflow-y: auto;
                transition: all 0.3s ease-in-out;
                background-color: rgba($black, 0.8);
                box-shadow: 0 0 0.625rem rgba($black, 0.3);
                height: auto !important;
                z-index: 100;
                display: block !important;
                padding: 7rem 0 3rem;

                &.show {
                    transform: translateY(0);
                }

                .navbar-nav {
                    align-items: center;
                    text-align: center;
                    max-width: 16.875rem;
                    margin: 0 auto;
                }
                .header-right {
                    flex-direction: column;
                    align-items: center;
                }
            }
        }
        &-toggler {
            position: relative;
            z-index: 101;
            margin-left: 0.5rem;
            padding: 5px;
            border: 0;

            @include media-breakpoint-up(md) {
                margin-left: 0.9375rem;
            }

            span {
                display: block;
                width: 22px;
                height: 3px;
                border-radius: 1px;
                background-color: rgba($white, 0.5);
                transition: all 0.3s ease-in-out;

                &:first-child {
                    transform: none;
                }

                &:nth-child(2) {
                    margin: 4px 0;
                    opacity: 1;
                    visibility: visible;
                }

                &:last-child {
                    transform: none;
                }
            }

            &:not(.collapsed) {
                span {
                    &:first-child {
                        transform: translate(3px, 3px) rotate(45deg);
                    }

                    &:nth-child(2) {
                        margin: 0;
                        opacity: 0;
                        visibility: hidden;
                    }

                    &:last-child {
                        transform: translate(2px, -3px) rotate(-45deg);
                    }
                }
            }

            &:focus-visible {
                outline: none;
            }
        }

        .dropdown {
            &:hover {
                .caret {
                    color: $white;
                }
                @include media-breakpoint-up(lg) {
                    .dropdown-menu {
                        display: block;
                    }
                    .caret {
                        color: $primary;
                    }
                }
            }
            & > a {
                padding-right: 1.7rem;
                @include media-breakpoint-up(lg) {
                    padding-right: 1rem;
                }
            }
            &-menu {
                padding: 0;
                border: 0;
                border-radius: 0;
                min-width: 16.25rem;
            }
            &-item {
                color: $gray-600;
                background-color: $gray-800;
                padding: 15px;
                border-bottom: 2px solid $gray-900;
                @include font-size(0.6875rem);
                font-weight: 700;
                text-transform: capitalize;
                &:hover {
                    background-color: $black-500;
                    color: $light-gray-200;
                }
            }
            .caret {
                @include font-size(0.65rem);
                position: absolute;
                top: 0.875rem;
                right: 0.3125rem;
                color: rgba($white, 0.5);
                cursor: pointer;
                @include media-breakpoint-up(lg) {
                    top: 0.625rem;
                    color: $white;
                    @include font-size(0.5rem);
                }
            }
        }
    }
}
